> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# List tiers

GET https://api.brevo.com/v3/loyalty/tier/programs/{pid}/tiers

Returns the list of tiers defined within the loyalty program.

Reference: https://developers.brevo.com/reference/get-loyalty-program-tier

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID

### Query parameters

- `version` (enum, optional, default: draft) — Select 'active' to retrieve list of all tiers which are live for clients. Select draft to retrieve list of all non deleted tiers.
  - Allowed values: `active`, `draft`

## Response

### 200

Tier list successfully retrieved

- `items` (list of object, optional)
  - `accessConditions` (list of object, optional) — Conditions required to access this tier
    - `balanceDefinitionId` (string, optional) — Balance definition identifier
    - `createdAt` (datetime, optional)
    - `minimumValue` (integer, optional) — Minimum value required to access this tier
    - `updatedAt` (datetime, optional)
  - `createdAt` (datetime, optional)
  - `groupId` (string, optional) — Associated group Id
  - `imageRef` (string, optional) — Tier image reference
  - `loyaltyProgramId` (string, optional) — Associated loyalty program Id
  - `name` (string, optional) — Tier name
  - `tierId` (string, optional) — Tier id
  - `tierRewards` (list of object, optional) — Rewards associated with this tier
    - `createdAt` (datetime, optional)
    - `rewardId` (string, optional) — Reward to be attributed on tier assignment
    - `updatedAt` (datetime, optional)
  - `updatedAt` (datetime, optional)

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Not Found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "items": [
    {
      "accessConditions": [
        {
          "balanceDefinitionId": "string",
          "createdAt": "2024-01-15T09:30:00Z",
          "minimumValue": 1,
          "updatedAt": "2024-01-15T09:30:00Z"
        }
      ],
      "createdAt": "2024-01-15T09:30:00Z",
      "groupId": "string",
      "imageRef": "string",
      "loyaltyProgramId": "string",
      "name": "string",
      "tierId": "string",
      "tierRewards": [
        {
          "createdAt": "2024-01-15T09:30:00Z",
          "rewardId": "string",
          "updatedAt": "2024-01-15T09:30:00Z"
        }
      ],
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.tier.getLoyaltyProgramTier({
        pid: "pid",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.tier.get_loyalty_program_tier(
    pid="pid",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Tier\Requests\GetLoyaltyProgramTierRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->tier->getLoyaltyProgramTier(
    'pid',
    new GetLoyaltyProgramTierRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```